%define upstream_name    Object-Dependency
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Maintain a dependency graph
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Scalar::Util)
BuildArch: noarch

%description
This module maintains a simple dependency graph. Items can be 'add'ed more
than once to note additional depenencies. Dependency relationships cannot
be removed except by removing objects entirely.

We do not currently check for cycles so please be careful!

Items are expected to be objects, but do not have to be. Objects are
identified by their refadd() so if you combine objects and other scalers,
there is some chance of a collision between large intetgers and the
refaddr(). The 'undef' value will cause warnings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc META.yml CHANGELOG
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116552
- imported package perl-Object-Dependency


* Thu Jun 30 2011 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
